import type { CollectionConfig } from 'payload'

export const Authors: CollectionConfig = {
  slug: 'authors',
  admin: {
    useAsTitle: 'lf'
  },

  fields: [
    {
      name: 'lf',
      label: 'last, first name',
      type: 'text',
      required: true,
      unique: true,
      index: true,
    },
    {
      name: 'fl',
      label: 'First and Last Name',
      type: 'text',
    },
    {
      name: "role",
      type: 'select',
      options: [
        {
          label: 'Author',
          value: 'Author'
        },
        {
          label: 'Translator',
          value: 'Translator'
        },
      ],
    }
  ],
}
