import { CollectionConfig } from "payload";

export const Books: CollectionConfig = {
  slug: "books",
  fields: [
    {
      name: "books_id", // This is from the import
      type: "text",
      unique: true,
      admin: {
        placeholder: "This is only for books that have been imported.",
        //readOnly: true,
      }
    },
    {
      name: "title",
      type: "text",
    },
    {
      name: "authors",
      type: "relationship",
      relationTo: "authors",
      hasMany: true,
      maxDepth: 200,
    }
  ],
}
